[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# RemoveDataModule

Handler called when a TDataModule instance is freed.

## Declaration

Source position: classesh.inc line 2172

`var RemoveDataModule: procedure(`
`DataModule: TDataModule`
`) of object;`

## Description

RemoveDataModule can be set by an IDE or a streaming mechanism to receive notification when an instance of a TDataModule descendant is freed.

## See also

AddDataModule |  | Handler called when a new TDataModule instance is created.
TDataModule |  | Container for non-visual components.